Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Adding sdp.c and the bunch of modified Makefile.in... :(
[simgrid.git] / examples / gras / mutual_exclusion / simple_token / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../../../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 noinst_PROGRAMS = simple_token_node$(EXEEXT) \
46         simple_token_simulator$(EXEEXT)
47 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
48         $(srcdir)/test_rl.in $(srcdir)/test_sg.in \
49         $(top_srcdir)/acmacro/dist-files.mk \
50         $(top_srcdir)/examples/temps-gras-stub.mk
51 subdir = examples/gras/mutual_exclusion/simple_token
52 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
54         $(top_srcdir)/acmacro/compiler-flags.m4 \
55         $(top_srcdir)/acmacro/context.m4 \
56         $(top_srcdir)/acmacro/fancy_configury.m4 \
57         $(top_srcdir)/acmacro/flex.m4 \
58         $(top_srcdir)/acmacro/gras_arch.m4 \
59         $(top_srcdir)/acmacro/print_null.m4 \
60         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
61 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
62         $(ACLOCAL_M4)
63 mkinstalldirs = $(install_sh) -d
64 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
65 CONFIG_CLEAN_FILES = test_sg test_rl
66 PROGRAMS = $(noinst_PROGRAMS)
67 am_simple_token_node_OBJECTS = _simple_token_node.$(OBJEXT) \
68         simple_token.$(OBJEXT)
69 simple_token_node_OBJECTS = $(am_simple_token_node_OBJECTS)
70 simple_token_node_DEPENDENCIES = $(top_builddir)/src/libgras.la
71 am_simple_token_simulator_OBJECTS = _simple_token_simulator.$(OBJEXT) \
72         simple_token.$(OBJEXT)
73 simple_token_simulator_OBJECTS = $(am_simple_token_simulator_OBJECTS)
74 simple_token_simulator_DEPENDENCIES =  \
75         $(top_builddir)/src/libsimgrid.la
76 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
77 depcomp = $(SHELL) $(top_srcdir)/depcomp
78 am__depfiles_maybe = depfiles
79 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
80         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
81 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
82         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
83         $(AM_CFLAGS) $(CFLAGS)
84 CCLD = $(CC)
85 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
86         $(AM_LDFLAGS) $(LDFLAGS) -o $@
87 SOURCES = $(simple_token_node_SOURCES) \
88         $(simple_token_simulator_SOURCES)
89 DIST_SOURCES = $(simple_token_node_SOURCES) \
90         $(simple_token_simulator_SOURCES)
91 ETAGS = etags
92 CTAGS = ctags
93 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
94 ACLOCAL = @ACLOCAL@
95 ADDR2LINE = @ADDR2LINE@
96 AMDEP_FALSE = @AMDEP_FALSE@
97 AMDEP_TRUE = @AMDEP_TRUE@
98 AMTAR = @AMTAR@
99 AR = @AR@
100 AS = @AS@
101 AUTOCONF = @AUTOCONF@
102 AUTOHEADER = @AUTOHEADER@
103 AUTOMAKE = @AUTOMAKE@
104 AWK = @AWK@
105 BASH = @BASH@
106 CC = @CC@
107 CCDEPMODE = @CCDEPMODE@
108 CFLAGS = @CFLAGS@
109 CPP = @CPP@
110 CPPFLAGS = @CPPFLAGS@
111 CXX = @CXX@
112 CXXCPP = @CXXCPP@
113 CXXDEPMODE = @CXXDEPMODE@
114 CXXFLAGS = @CXXFLAGS@
115 CYGPATH_W = @CYGPATH_W@
116 DEFS = @DEFS@
117 DEPDIR = @DEPDIR@
118 DLLTOOL = @DLLTOOL@
119 DOXYGEN = @DOXYGEN@
120 ECHO = @ECHO@
121 ECHO_C = @ECHO_C@
122 ECHO_N = @ECHO_N@
123 ECHO_T = @ECHO_T@
124 EGREP = @EGREP@
125 EXEEXT = @EXEEXT@
126 F77 = @F77@
127 FFLAGS = @FFLAGS@
128 FLEXML = @FLEXML@
129 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
130 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
131 GRAS_DEP = @GRAS_DEP@
132 GREP = @GREP@
133 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
134 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
135 INSTALL_DATA = @INSTALL_DATA@
136 INSTALL_PROGRAM = @INSTALL_PROGRAM@
137 INSTALL_SCRIPT = @INSTALL_SCRIPT@
138 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
139 LDFLAGS = @LDFLAGS@
140 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
141 LEX = @LEX@
142 LEXLIB = @LEXLIB@
143 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
144 LIBOBJS = @LIBOBJS@
145 LIBS = @LIBS@
146 LIBTOOL = @LIBTOOL@
147 LN_S = @LN_S@
148 LTLIBOBJS = @LTLIBOBJS@
149 MAINT = @MAINT@
150 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
151 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
152 MAKEINFO = @MAKEINFO@
153 MD5SUM = @MD5SUM@
154 OBJDUMP = @OBJDUMP@
155 OBJEXT = @OBJEXT@
156 PACKAGE = @PACKAGE@
157 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
158 PACKAGE_NAME = @PACKAGE_NAME@
159 PACKAGE_STRING = @PACKAGE_STRING@
160 PACKAGE_TARNAME = @PACKAGE_TARNAME@
161 PACKAGE_VERSION = @PACKAGE_VERSION@
162 PATH_SEPARATOR = @PATH_SEPARATOR@
163 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
164 RANLIB = @RANLIB@
165 SET_MAKE = @SET_MAKE@
166 SHELL = @SHELL@
167 SIMGRID_DEP = @SIMGRID_DEP@
168 STRIP = @STRIP@
169 VERSION = @VERSION@
170 WARNING = @WARNING@
171 abs_builddir = @abs_builddir@
172 abs_srcdir = @abs_srcdir@
173 abs_top_builddir = @abs_top_builddir@
174 abs_top_srcdir = @abs_top_srcdir@
175 ac_configure_args = @ac_configure_args@
176 ac_ct_CC = @ac_ct_CC@
177 ac_ct_CXX = @ac_ct_CXX@
178 ac_ct_F77 = @ac_ct_F77@
179 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
180 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
181 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
182 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
183 am__include = @am__include@
184 am__leading_dot = @am__leading_dot@
185 am__quote = @am__quote@
186 am__tar = @am__tar@
187 am__untar = @am__untar@
188 bindir = @bindir@
189 build = @build@
190 build_alias = @build_alias@
191 build_cpu = @build_cpu@
192 build_id = @build_id@
193 build_os = @build_os@
194 build_vendor = @build_vendor@
195 datadir = @datadir@
196 datarootdir = @datarootdir@
197 docdir = @docdir@
198 dvidir = @dvidir@
199 exec_prefix = @exec_prefix@
200 host = @host@
201 host_alias = @host_alias@
202 host_cpu = @host_cpu@
203 host_os = @host_os@
204 host_vendor = @host_vendor@
205 htmldir = @htmldir@
206 includedir = @includedir@
207 infodir = @infodir@
208 install_sh = @install_sh@
209 libdir = @libdir@
210 libexecdir = @libexecdir@
211 localedir = @localedir@
212 localstatedir = @localstatedir@
213 mandir = @mandir@
214 mkdir_p = @mkdir_p@
215 oldincludedir = @oldincludedir@
216 pdfdir = @pdfdir@
217 prefix = @prefix@
218 program_transform_name = @program_transform_name@
219 psdir = @psdir@
220 pth_skaddr_makecontext = @pth_skaddr_makecontext@
221 pth_sksize_makecontext = @pth_sksize_makecontext@
222 sbindir = @sbindir@
223 sharedstatedir = @sharedstatedir@
224 sysconfdir = @sysconfdir@
225 target = @target@
226 target_alias = @target_alias@
227 target_cpu = @target_cpu@
228 target_os = @target_os@
229 target_vendor = @target_vendor@
230 INCLUDES = -I$(top_srcdir)/include
231 TESTS = test_rl test_sg
232 EXTRA_DIST = simple_token.xml $(TESTS)
233 simple_token_simulator_SOURCES = _simple_token_simulator.c simple_token.c
234 simple_token_simulator_LDADD = $(top_builddir)/src/libsimgrid.la
235 simple_token_node_SOURCES = _simple_token_node.c simple_token.c
236 simple_token_node_LDADD = $(top_builddir)/src/libgras.la
237
238 # generate temps
239 NAME = simple_token
240 PROCESSES = node
241 CLEANFILES = _$(NAME)_simulator.c $(NAME).mk $(NAME).Makefile.local $(NAME).Makefile.remote $(NAME).deploy.sh \
242              $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c)
243
244 MOSTLYCLEANFILES = $(NAME).trace
245 all: all-am
246
247 .SUFFIXES:
248 .SUFFIXES: .c .lo .o .obj
249 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/examples/temps-gras-stub.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
250         @for dep in $?; do \
251           case '$(am__configure_deps)' in \
252             *$$dep*) \
253               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
254                 && exit 0; \
255               exit 1;; \
256           esac; \
257         done; \
258         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/gras/mutual_exclusion/simple_token/Makefile'; \
259         cd $(top_srcdir) && \
260           $(AUTOMAKE) --gnu  examples/gras/mutual_exclusion/simple_token/Makefile
261 .PRECIOUS: Makefile
262 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
263         @case '$?' in \
264           *config.status*) \
265             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
266           *) \
267             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
268             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
269         esac;
270
271 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
272         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
273
274 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
275         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
276 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
277         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
278 test_sg: $(top_builddir)/config.status $(srcdir)/test_sg.in
279         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
280 test_rl: $(top_builddir)/config.status $(srcdir)/test_rl.in
281         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
282
283 clean-noinstPROGRAMS:
284         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
285           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
286           echo " rm -f $$p $$f"; \
287           rm -f $$p $$f ; \
288         done
289 simple_token_node$(EXEEXT): $(simple_token_node_OBJECTS) $(simple_token_node_DEPENDENCIES) 
290         @rm -f simple_token_node$(EXEEXT)
291         $(LINK) $(simple_token_node_LDFLAGS) $(simple_token_node_OBJECTS) $(simple_token_node_LDADD) $(LIBS)
292 simple_token_simulator$(EXEEXT): $(simple_token_simulator_OBJECTS) $(simple_token_simulator_DEPENDENCIES) 
293         @rm -f simple_token_simulator$(EXEEXT)
294         $(LINK) $(simple_token_simulator_LDFLAGS) $(simple_token_simulator_OBJECTS) $(simple_token_simulator_LDADD) $(LIBS)
295
296 mostlyclean-compile:
297         -rm -f *.$(OBJEXT)
298
299 distclean-compile:
300         -rm -f *.tab.c
301
302 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_simple_token_node.Po@am__quote@
303 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_simple_token_simulator.Po@am__quote@
304 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/simple_token.Po@am__quote@
305
306 .c.o:
307 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
308 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
309 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
310 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
311 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
312
313 .c.obj:
314 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
315 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
316 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
317 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
318 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
319
320 .c.lo:
321 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
322 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
323 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
324 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
325 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
326
327 mostlyclean-libtool:
328         -rm -f *.lo
329
330 clean-libtool:
331         -rm -rf .libs _libs
332
333 distclean-libtool:
334         -rm -f libtool
335 uninstall-info-am:
336
337 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
338         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
339         unique=`for i in $$list; do \
340             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
341           done | \
342           $(AWK) '    { files[$$0] = 1; } \
343                END { for (i in files) print i; }'`; \
344         mkid -fID $$unique
345 tags: TAGS
346
347 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
348                 $(TAGS_FILES) $(LISP)
349         tags=; \
350         here=`pwd`; \
351         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
352         unique=`for i in $$list; do \
353             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
354           done | \
355           $(AWK) '    { files[$$0] = 1; } \
356                END { for (i in files) print i; }'`; \
357         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
358           test -n "$$unique" || unique=$$empty_fix; \
359           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
360             $$tags $$unique; \
361         fi
362 ctags: CTAGS
363 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
364                 $(TAGS_FILES) $(LISP)
365         tags=; \
366         here=`pwd`; \
367         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
368         unique=`for i in $$list; do \
369             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
370           done | \
371           $(AWK) '    { files[$$0] = 1; } \
372                END { for (i in files) print i; }'`; \
373         test -z "$(CTAGS_ARGS)$$tags$$unique" \
374           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
375              $$tags $$unique
376
377 GTAGS:
378         here=`$(am__cd) $(top_builddir) && pwd` \
379           && cd $(top_srcdir) \
380           && gtags -i $(GTAGS_ARGS) $$here
381
382 distclean-tags:
383         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
384
385 check-TESTS: $(TESTS)
386         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
387         srcdir=$(srcdir); export srcdir; \
388         list='$(TESTS)'; \
389         if test -n "$$list"; then \
390           for tst in $$list; do \
391             if test -f ./$$tst; then dir=./; \
392             elif test -f $$tst; then dir=; \
393             else dir="$(srcdir)/"; fi; \
394             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
395               all=`expr $$all + 1`; \
396               case " $(XFAIL_TESTS) " in \
397               *" $$tst "*) \
398                 xpass=`expr $$xpass + 1`; \
399                 failed=`expr $$failed + 1`; \
400                 echo "XPASS: $$tst"; \
401               ;; \
402               *) \
403                 echo "PASS: $$tst"; \
404               ;; \
405               esac; \
406             elif test $$? -ne 77; then \
407               all=`expr $$all + 1`; \
408               case " $(XFAIL_TESTS) " in \
409               *" $$tst "*) \
410                 xfail=`expr $$xfail + 1`; \
411                 echo "XFAIL: $$tst"; \
412               ;; \
413               *) \
414                 failed=`expr $$failed + 1`; \
415                 echo "FAIL: $$tst"; \
416               ;; \
417               esac; \
418             else \
419               skip=`expr $$skip + 1`; \
420               echo "SKIP: $$tst"; \
421             fi; \
422           done; \
423           if test "$$failed" -eq 0; then \
424             if test "$$xfail" -eq 0; then \
425               banner="All $$all tests passed"; \
426             else \
427               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
428             fi; \
429           else \
430             if test "$$xpass" -eq 0; then \
431               banner="$$failed of $$all tests failed"; \
432             else \
433               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
434             fi; \
435           fi; \
436           dashes="$$banner"; \
437           skipped=""; \
438           if test "$$skip" -ne 0; then \
439             skipped="($$skip tests were not run)"; \
440             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
441               dashes="$$skipped"; \
442           fi; \
443           report=""; \
444           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
445             report="Please report to $(PACKAGE_BUGREPORT)"; \
446             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
447               dashes="$$report"; \
448           fi; \
449           dashes=`echo "$$dashes" | sed s/./=/g`; \
450           echo "$$dashes"; \
451           echo "$$banner"; \
452           test -z "$$skipped" || echo "$$skipped"; \
453           test -z "$$report" || echo "$$report"; \
454           echo "$$dashes"; \
455           test "$$failed" -eq 0; \
456         else :; fi
457
458 distdir: $(DISTFILES)
459         $(mkdir_p) $(distdir)/../../../../acmacro $(distdir)/../../../../examples
460         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
461         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
462         list='$(DISTFILES)'; for file in $$list; do \
463           case $$file in \
464             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
465             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
466           esac; \
467           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
468           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
469           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
470             dir="/$$dir"; \
471             $(mkdir_p) "$(distdir)$$dir"; \
472           else \
473             dir=''; \
474           fi; \
475           if test -d $$d/$$file; then \
476             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
477               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
478             fi; \
479             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
480           else \
481             test -f $(distdir)/$$file \
482             || cp -p $$d/$$file $(distdir)/$$file \
483             || exit 1; \
484           fi; \
485         done
486 check-am: all-am
487         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
488 check: check-am
489 all-am: Makefile $(PROGRAMS)
490 installdirs:
491 install: install-am
492 install-exec: install-exec-am
493 install-data: install-data-am
494 uninstall: uninstall-am
495
496 install-am: all-am
497         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
498
499 installcheck: installcheck-am
500 install-strip:
501         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
502           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
503           `test -z '$(STRIP)' || \
504             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
505 mostlyclean-generic:
506         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
507
508 clean-generic:
509         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
510
511 distclean-generic:
512         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
513
514 maintainer-clean-generic:
515         @echo "This command is intended for maintainers to use"
516         @echo "it deletes files that may require special tools to rebuild."
517 clean: clean-am
518
519 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
520         mostlyclean-am
521
522 distclean: distclean-am
523         -rm -rf ./$(DEPDIR)
524         -rm -f Makefile
525 distclean-am: clean-am distclean-compile distclean-generic \
526         distclean-libtool distclean-tags
527
528 dvi: dvi-am
529
530 dvi-am:
531
532 html: html-am
533
534 info: info-am
535
536 info-am:
537
538 install-data-am:
539
540 install-exec-am:
541
542 install-info: install-info-am
543
544 install-man:
545
546 installcheck-am:
547
548 maintainer-clean: maintainer-clean-am
549         -rm -rf ./$(DEPDIR)
550         -rm -f Makefile
551 maintainer-clean-am: distclean-am maintainer-clean-generic
552
553 mostlyclean: mostlyclean-am
554
555 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
556         mostlyclean-libtool
557
558 pdf: pdf-am
559
560 pdf-am:
561
562 ps: ps-am
563
564 ps-am:
565
566 uninstall-am: uninstall-info-am
567
568 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
569         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
570         distclean distclean-compile distclean-generic \
571         distclean-libtool distclean-tags distdir dvi dvi-am html \
572         html-am info info-am install install-am install-data \
573         install-data-am install-exec install-exec-am install-info \
574         install-info-am install-man install-strip installcheck \
575         installcheck-am installdirs maintainer-clean \
576         maintainer-clean-generic mostlyclean mostlyclean-compile \
577         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
578         tags uninstall uninstall-am uninstall-info-am
579
580
581 $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c) _$(NAME)_simulator.c: $(srcdir)/$(NAME).xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
582         [ x@EXEEXT@ = x ] || exenv=wine; $$exenv $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ $(NAME) $(srcdir)/$(NAME).xml
583
584 $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@:
585         make -C $(top_builddir)/tools/gras/ gras_stub_generator@EXEEXT@
586
587 dist-files:
588         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
589         @echo
590         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
591
592 # Cruft
593 # Tell versions [3.59,3.63) of GNU make to not export all variables.
594 # Otherwise a system limit (for SysV at least) may be exceeded.
595 .NOEXPORT: